# Fluctuation

Dive headfirst into the deep waters of realism with not one but two fluctuation options

1. Formula-based Fluctuation - Refine the formula to seamlessly adapt the influx of fake players in harmony with the server's population
2. Machine-Learning - Inside **config.yml** you have to activate inside the fluctuation -> machine learning section, the collect\_data, if it's true, each hour it will collect important info about the server and once it has enough data you'll be eligible to use the ML. You can even check your eligibility for machine learning at anytime, it works based on the fact that inside our data.txt, you need to have provided enough data for all the days of the week

```yaml
fluctuation:
  enabled: true
  update: 300
  methods: 
    basic: "formula"
    player_base: "{random[1,5]}"
  multiplier:
    default: 2.1
    increasePerPlayer: 0.075
  machine_learning:
    collect_data: true
  time_of_day:
    country: "GMT" # Timezone
    clock:
      - "00:00 40-50"
      - "01:00 50-60"
```

* `enabled`: Set to `true` to enable fluctuation
* `update`: Update interval in seconds
* `methods`: Fluctuation calculation method
* `player_base`: Random player base for the formula or time of day based
* `default`: Default multiplier
* `increasePerPlayer`: Rate of increase per player
* `collect_data`: Set to `true` to collect data
* `country`: The timezone that will follow
* `clock`: It will take from the current hour the closest next time to change the minimum fake players on the server. The numbers the have between "-" represents a value between those for the new player base of fake players.

You can check your eligibility for the Machine-Learning feature with the following command

```
/asteroid fluctuation machine-learning eligibility
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spoof.dev/asteroid/setup/features/fluctuation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
